/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * This file is part of the PSIQS package version 01 from 2016-01-07, 
 * developed by Tilman Neumann, Edemissen, Germany.
 * 
 * Use and redistribution of PSIQS are free for non-commercial purposes, as long as this
 * header is not modified or removed. Any commercial usage of the whole or parts
 * of PSIQS requires the written consent of the author.
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

package de.tilman_neumann.math.factor;

import java.math.BigInteger;

/**
 * An exception indicating that a factor was found.
 * 
 * @author Tilman Neumann
 */
public class FactorException extends Exception {
	private static final long serialVersionUID = -6623862851940555652L;
	
	private BigInteger factor = null;
	
	/**
	 * Complete constructor.
	 * @param factor
	 */
	public FactorException(BigInteger factor) {
		this.factor = factor;
	}
	
	/**
	 * @return factor
	 */
	public BigInteger getFactor() {
		return this.factor;
	}
}
